# zkID Login Doc

## zkID Login Doc

- [Guide](https://docs.zkid.app/readme.md): Welcome to zkID Login. This Document has two main sections: Guide (to present a overview of zkID Login), API Reference (for developers who want to build with zkID Login).
- [Introduction](https://docs.zkid.app/readme/introduction.md)
- [Basic Concepts](https://docs.zkid.app/readme/did.md)
- [DID](https://docs.zkid.app/readme/did/did.md)
- [VC](https://docs.zkid.app/readme/did/vc.md): Before embarking on a magic zkID Login Journey, we still need to acquire some new knowledge about VCs, starting with the concept:
- [Architecture](https://docs.zkid.app/readme/architecture.md)
- [Usage of VC](https://docs.zkid.app/readme/usage_of_vc.md)
- [API Reference](https://docs.zkid.app/api.md): This section shows how your requests are handled and what are the expected responses.
- [Provider API](https://docs.zkid.app/api/provider_api.md)
- [Events](https://docs.zkid.app/api/events.md)
- [Errors](https://docs.zkid.app/api/errors.md)
- [Using The Provider](https://docs.zkid.app/api/using_the_provider.md)
- [SDK](https://docs.zkid.app/introduction.md)
- [Method](https://docs.zkid.app/introduction/method.md)
- [Getting Started](https://docs.zkid.app/preliminary_preparation.md)
- [Use Case](https://docs.zkid.app/preliminary_preparation/use_case.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.zkid.app/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
